// Compiled by ClojureScript 1.9.562 {}
goog.provide('cljs.nodejs');
goog.require('cljs.core');
cljs.nodejs.require = require;
cljs.nodejs.process = process;
cljs.nodejs.enable_util_print_BANG_ = (function cljs$nodejs$enable_util_print_BANG_(){
cljs.core._STAR_print_newline_STAR_ = false;

cljs.core._STAR_print_fn_STAR_ = (function() { 
var G__34537__delegate = function (args){
return console.log.apply(console,cljs.core.into_array.call(null,args));
};
var G__34537 = function (var_args){
var args = null;
if (arguments.length > 0) {
var G__34538__i = 0, G__34538__a = new Array(arguments.length -  0);
while (G__34538__i < G__34538__a.length) {G__34538__a[G__34538__i] = arguments[G__34538__i + 0]; ++G__34538__i;}
  args = new cljs.core.IndexedSeq(G__34538__a,0,null);
} 
return G__34537__delegate.call(this,args);};
G__34537.cljs$lang$maxFixedArity = 0;
G__34537.cljs$lang$applyTo = (function (arglist__34539){
var args = cljs.core.seq(arglist__34539);
return G__34537__delegate(args);
});
G__34537.cljs$core$IFn$_invoke$arity$variadic = G__34537__delegate;
return G__34537;
})()
;

cljs.core._STAR_print_err_fn_STAR_ = (function() { 
var G__34540__delegate = function (args){
return console.error.apply(console,cljs.core.into_array.call(null,args));
};
var G__34540 = function (var_args){
var args = null;
if (arguments.length > 0) {
var G__34541__i = 0, G__34541__a = new Array(arguments.length -  0);
while (G__34541__i < G__34541__a.length) {G__34541__a[G__34541__i] = arguments[G__34541__i + 0]; ++G__34541__i;}
  args = new cljs.core.IndexedSeq(G__34541__a,0,null);
} 
return G__34540__delegate.call(this,args);};
G__34540.cljs$lang$maxFixedArity = 0;
G__34540.cljs$lang$applyTo = (function (arglist__34542){
var args = cljs.core.seq(arglist__34542);
return G__34540__delegate(args);
});
G__34540.cljs$core$IFn$_invoke$arity$variadic = G__34540__delegate;
return G__34540;
})()
;

return null;
});
